/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IAtuador;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Atuador implements VertxPojo, IAtuador {

    private static final long serialVersionUID = -205926858;

    private Integer atuid;
    private String  atudescricao;
    private String  atuparametro;
    private Integer atuatualizacao;
    private String  atuativo;
    private String  atuvirtual;
    private Integer fktipatuid;

    public Atuador() {}

    public Atuador(Atuador value) {
        this.atuid = value.atuid;
        this.atudescricao = value.atudescricao;
        this.atuparametro = value.atuparametro;
        this.atuatualizacao = value.atuatualizacao;
        this.atuativo = value.atuativo;
        this.atuvirtual = value.atuvirtual;
        this.fktipatuid = value.fktipatuid;
    }

    public Atuador(
        Integer atuid,
        String  atudescricao,
        String  atuparametro,
        Integer atuatualizacao,
        String  atuativo,
        String  atuvirtual,
        Integer fktipatuid
    ) {
        this.atuid = atuid;
        this.atudescricao = atudescricao;
        this.atuparametro = atuparametro;
        this.atuatualizacao = atuatualizacao;
        this.atuativo = atuativo;
        this.atuvirtual = atuvirtual;
        this.fktipatuid = fktipatuid;
    }

    @Override
    public Integer getAtuid() {
        return this.atuid;
    }

    @Override
    public Atuador setAtuid(Integer atuid) {
        this.atuid = atuid;
        return this;
    }

    @Override
    public String getAtudescricao() {
        return this.atudescricao;
    }

    @Override
    public Atuador setAtudescricao(String atudescricao) {
        this.atudescricao = atudescricao;
        return this;
    }

    @Override
    public String getAtuparametro() {
        return this.atuparametro;
    }

    @Override
    public Atuador setAtuparametro(String atuparametro) {
        this.atuparametro = atuparametro;
        return this;
    }

    @Override
    public Integer getAtuatualizacao() {
        return this.atuatualizacao;
    }

    @Override
    public Atuador setAtuatualizacao(Integer atuatualizacao) {
        this.atuatualizacao = atuatualizacao;
        return this;
    }

    @Override
    public String getAtuativo() {
        return this.atuativo;
    }

    @Override
    public Atuador setAtuativo(String atuativo) {
        this.atuativo = atuativo;
        return this;
    }

    @Override
    public String getAtuvirtual() {
        return this.atuvirtual;
    }

    @Override
    public Atuador setAtuvirtual(String atuvirtual) {
        this.atuvirtual = atuvirtual;
        return this;
    }

    @Override
    public Integer getFktipatuid() {
        return this.fktipatuid;
    }

    @Override
    public Atuador setFktipatuid(Integer fktipatuid) {
        this.fktipatuid = fktipatuid;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Atuador (");

        sb.append(atuid);
        sb.append(", ").append(atudescricao);
        sb.append(", ").append(atuparametro);
        sb.append(", ").append(atuatualizacao);
        sb.append(", ").append(atuativo);
        sb.append(", ").append(atuvirtual);
        sb.append(", ").append(fktipatuid);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IAtuador from) {
        setAtuid(from.getAtuid());
        setAtudescricao(from.getAtudescricao());
        setAtuparametro(from.getAtuparametro());
        setAtuatualizacao(from.getAtuatualizacao());
        setAtuativo(from.getAtuativo());
        setAtuvirtual(from.getAtuvirtual());
        setFktipatuid(from.getFktipatuid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IAtuador> E into(E into) {
        into.from(this);
        return into;
    }

    public Atuador(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
